Loading...
Searching...
No Matches
Magick::contrastImage Class Reference

## Public Member Functions

| contrastImage (const size_t sharpen_)
void | operator() (Image &image_) const

## Private Attributes

size_t | _sharpen

## Detailed Description

Definition at line 300 of file STL.h.

## Constructor & Destructor Documentation

## contrastImage()

Magick::contrastImage::contrastImage | ( | const size_t | sharpen_ | ) |

Definition at line 263 of file STL.cpp.

: _sharpen( sharpen_ )
{
}

## Member Function Documentation

## operator()()

void Magick::contrastImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 267 of file STL.cpp.

{
image_.contrast( _sharpen );
}

## Field Documentation

## _sharpen

size_t Magick::contrastImage::_sharpen

private

Definition at line 308 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp